Qt 5.8 | Qt 3D | C++ Classes | QNoDepthMask

Qt 5.8.0 Reference Documentation

# QNoDepthMask Class

(Qt3DRender::QNoDepthMask)

Disable depth write More...

Header: | #include <QNoDepthMask>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | NoDepthMask
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Public Functions

| QNoDepthMask(Qt3DCore::QNode *parent = nullptr)

- 6 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Disable depth write

A Qt3DRender::QNoDepthMask class disables fragment depth write to depth buffer.

See also Qt3DRender::QDepthTest.

## Member Function Documentation

### QNoDepthMask::QNoDepthMask(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QNoDepthMask.